=== debian/changelog ===
adms (2.3.4-10mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Work on the debian/copyright file.
  * Bump to debhelper 9 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Oct 2017 10:36:45 -0700

adms (2.3.4-10) xenial; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:30:35 +0100

adms (2.3.4-9) wily; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:30:00 +0100

adms (2.3.4-8) vivid; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:22:31 +0100

adms (2.3.4-7) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:14:48 +0100

adms (2.3.4-6) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:07:41 +0100

adms (2.3.4-5) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:58:51 +0100

adms (2.3.4-4) xenial; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:52:23 +0100

adms (2.3.4-3) wily; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:51:51 +0100

adms (2.3.4-2) vivid; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:50:34 +0100

adms (2.3.4-1) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:47:08 +0100
