=== debian/control ===
Source: adms
Section: electronics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Frans Schreuder <info@schreuderelectronics.com>
Homepage: http://sourceforge.net/projects/mot-adms/
Build-Depends: debhelper (>= 9),
                autotools-dev, 
                flex, bison, gperf
Standards-Version: 3.9.5

Package: adms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: provides admsXml needed for compiling Qucs Verilog-a modules
