=== debian/changelog ===
adms (2.3.6-2) unstable; urgency=high

  * debian/rules:
    - Add '--no-parallel' since it is not safe (Closes: #924822)

 -- Ruben Undheim <rubund@debian.org>  Sat, 30 Mar 2019 10:20:53 +0100

adms (2.3.6-1) unstable; urgency=low

  * Initial release (Closes: #501264)
    (Thanks Bastien ROUCARIÈS and Felix Salfelder for initial packaging)

 -- Ruben Undheim <rubund@debian.org>  Sun, 28 Oct 2018 13:18:48 +0100
