=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|[a-c])\d*)$/$1~$2/ https://github.com/Qucs/ADMS/releases /Qucs/ADMS/archive/release-(\d\S+)\.tar\.(?:bz2|gz|xz) debian uupdate
