=== debian/changelog ===
adms (2.3.7-2) unstable; urgency=medium

  [ Matheus Polkorny ]
  * Team upload.
  * d/p/0002-fix-ftbfs-gcc-15.patch: New patch (Closes: #1096279)

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Deal with dh_missing --fail-missing default

 -- Andreas Tille <tille@debian.org>  Sun, 28 Sep 2025 08:14:32 +0200

adms (2.3.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 26 Aug 2021 22:40:29 +0000

adms (2.3.6-3) unstable; urgency=medium

  * Team upload.

  [ Ruben Undheim ]
  * debian/tests/*: Added autopkgtest
  * debian/gitlab-ci.yml:
    - Enable continuous integration on salsa

  [ Anton Gladky ]
  * [6075017] Update watch file format version to 4.
  * [8924bb9] Bump debhelper from old 11 to 12.
  * [63e486a] Set debhelper-compat version in Build-Depends.
  * [c7311e3] Drop unnecessary dependency on dh-autoreconf.
  * [9c1d4b9] Remove obsolete field Name from debian/upstream/metadata
  * [b1d524b] Apply cme fix dpkg
  * Chris Lambs reprocibility patch (Closes: #926298)

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Dec 2020 20:08:31 +0100
