=== debian/control ===
Source: adms
Standards-Version: 4.7.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ruben Undheim <rubund@debian.org>,
 Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>,
 Felix Salfelder <felix@salfelder.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 bison,
 flex,
 libgd-perl,
 libxml-parser-perl,
 libxml-libxml-perl,
 perl,
Vcs-Browser: https://salsa.debian.org/science-team/adms
Vcs-Git: https://salsa.debian.org/science-team/adms.git
Homepage: https://github.com/Qucs/ADMS
Rules-Requires-Root: no

Package: adms
Architecture: any
Depends:
 libadms0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Automatic device model synthesizer for Verilog-AMS
 ADMS is a code generator that converts electrical compact device models
 specified in high-level description language into
 ready-to-compile c code for the API of spice simulators.  Based on
 transformations specified in xml language adms transforms Verilog-AMS
 code into other target languages.

Package: libadms0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Shared library for automatic device model synthesizer
 ADMS is a code generator that converts electrical compact device models
 specified in high-level description language into
 ready-to-compile c code for the API of spice simulators.  Based on
 transformations specified in xml language adms transforms Verilog-AMS
 code into other target languages.
 .
 This package contains the shared library for ADMS
